al_destroy_bitmap(3)

NAME

al_destroy_bitmap - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    void al_destroy_bitmap(ALLEGRO_BITMAP *bitmap)

DESCRIPTION

Destroys the given bitmap, freeing all resources used by it. This function does nothing if the bitmap argument is NULL.

As a convenience, if the calling thread is currently targeting the bitmap then the bitmap will be untargeted first. The new target bitmap is unspecified. (since: 5.0.10, 5.1.6)

Otherwise, it is an error to destroy a bitmap while it (or a sub-bitmap) is the target bitmap of any thread.

SEE ALSO

al_create_bitmap(3)